## emcee 3.0.2

=== docs/requirements.txt ===
sphinx>=1.7.5
pandoc
jupyter
numpy
setuptools>=40.6.0
setuptools_scm

## emcee 2.1.0

=== debian/changelog ===
emcee (2.1.0-5) unstable; urgency=low

  * Add ASCL-Id
  * Ignore stderr output in CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Apr 2016 21:00:13 +0200

emcee (2.1.0-4) unstable; urgency=low

  * Add numpy to dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 15:32:21 +0100

emcee (2.1.0-3) unstable; urgency=low

  * Correct python3-emcee python dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 09:15:53 +0100

emcee (2.1.0-2) unstable; urgency=low

  * Fix quotes in CI test command.

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Feb 2016 16:40:19 +0100

emcee (2.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #813147)

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Feb 2016 08:54:07 +0100

=== debian/control ===
Source: emcee
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.7),
               python-numpy,
               python3-all,
               python3-numpy
Standards-Version: 3.9.7
Homepage: http://dan.iel.fm/emcee/
Vcs-Git: https://anonscm.debian.org/debian-astro/packages/emcee.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/emcee.git
X-Python-Version: >= 2.7

Package: python-emcee
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Description: Affine-invariant ensemble MCMC sampling for Python
 emcee is an extensible, pure-Python implementation of Goodman &
 Weare's Affine Invariant Markov chain Monte Carlo (MCMC) Ensemble
 sampler. It's designed for Bayesian parameter estimation.
 .
 This is the Python 2 package.

Package: python3-emcee
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy
Description: Affine-invariant ensemble MCMC sampling for Python 3
 emcee is an extensible, pure-Python implementation of Goodman &
 Weare's Affine Invariant Markov chain Monte Carlo (MCMC) Ensemble
 sampler. It's designed for Bayesian parameter estimation.
 .
 This is the Python 3 package.

## emcee 2.2.1

=== debian/changelog ===
emcee (2.2.1-1) unstable; urgency=low

  * Imported Upstream version 2.2.1

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Jul 2016 11:16:55 +0200

emcee (2.2.0-1) unstable; urgency=low

  * Correct Vcs-Git URL
  * Push standards-version to 3.9.8 (No changes)
  * Imported Upstream version 2.2.0

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Jul 2016 13:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python-numpy,
                python3-all,
                python3-numpy
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://dan.iel.fm/emcee/
-Vcs-Git: https://anonscm.debian.org/debian-astro/packages/emcee.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/emcee.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/emcee.git
 X-Python-Version: >= 2.7

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=emcee
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python -c "import emcee; emcee.test()"
Depends: python-emcee
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python3 -c "import emcee; emcee.test()"
Depends: python3-emcee
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/emcee/emcee-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## emcee 3.0.0

=== debian/changelog ===
emcee (3.0.0-1) unstable; urgency=low

  * New upstream version 3.0.0
  * Add h5py, pytest, scipy test dependencies

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Sep 2019 18:04:16 +0200

emcee (2.2.1-3) unstable; urgency=low

  * Remove Python-2 CI test

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Sep 2019 12:53:50 +0200

emcee (2.2.1-2) unstable; urgency=low

  * Set exit value for CI tests
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.4.1. Change many URLs to https
  * Simplify d/rules
  * Add py3-setuptools to build dependencies
  * Remove Python 2 package. (Closes: #936478)
  * Update homepage
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 09:54:51 +0200

=== debian/control ===
Source: emcee
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-h5py,
               python3-numpy,
               python3-pytest,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://emcee.readthedocs.io
Vcs-Git: https://salsa.debian.org/debian-astro-team/emcee.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/emcee

Package: python3-emcee
Architecture: all
Depends: python3-numpy, ${misc:Depends}, ${python3:Depends}
Description: Affine-invariant ensemble MCMC sampling for Python 3
 emcee is an extensible, pure-Python implementation of Goodman &
 Weare's Affine Invariant Markov chain Monte Carlo (MCMC) Ensemble
 sampler. It's designed for Bayesian parameter estimation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=emcee

%:
	dh $@ --with python3 --buildsystem=pybuild

## emcee 3.0.2

=== debian/changelog ===
emcee (3.0.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Hudson-Doyle ]
  * Backport patch from upstream fixing tests on ppc64el.

  [ Ole Streicher ]
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control
  * Change MIT copyright short name to Expat

 -- Ole Streicher <olebole@debian.org>  Mon, 07 Sep 2020 09:44:13 +0200

emcee (3.0.2-1) unstable; urgency=low

  * New upstream version 3.0.2
  * Drop backported bugfix

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Nov 2019 21:11:32 +0100

emcee (3.0.1-1) unstable; urgency=low

  * New upstream version 3.0.1
  * Push Standards-Version to 4.4.1. No changes required
  * Fix and test linear dependence check

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Nov 2019 14:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-h5py,
                python3-numpy,
                python3-pytest,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.4.0
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.5.0
 Homepage: https://emcee.readthedocs.io
 Vcs-Git: https://salsa.debian.org/debian-astro-team/emcee.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/emcee
+Rules-Requires-Root: no
 
 Package: python3-emcee
 Architecture: all

## emcee 3.1.1

=== docs/requirements.txt ===
sphinx-book-theme @ git+https://github.com/dfm/sphinx-book-theme.git@fix-outdir
myst-nb
matplotlib
scipy
h5py
celerite
corner

=== document/Makefile ===
LATEX       = pdflatex
BASH        = bash -c
ECHO        = echo
RM          = rm -rf
RM_TMP      = ${RM} $(foreach suff, ${TMP_SUFFS}, ${NAME}.${suff})

TMP_SUFFS   = pdf aux bbl blg log dvi ps eps out
SUFF        = pdf

CHECK_RERUN = grep Rerun $*.log

NAME    = ms
DOC_OUT = ${NAME}.${SUFF}

default: ${DOC_OUT}

%.pdf: %.tex
	${LATEX} $<
	( ${CHECK_RERUN} && ${LATEX} $< ) || echo "Done."
	( ${CHECK_RERUN} && ${LATEX} $< ) || echo "Done."

clean:
	${RM_TMP}

=== debian/changelog ===
emcee (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * Remove patch applied upstream
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 15:04:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                python3-pytest,
                python3-scipy,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.5.0
+               python3-setuptools-scm,
+               python3-wheel
+Standards-Version: 4.6.0
 Homepage: https://emcee.readthedocs.io
 Vcs-Git: https://salsa.debian.org/debian-astro-team/emcee.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/emcee

## emcee 3.1.2

=== docs/requirements.txt ===
sphinx-book-theme
myst-nb
matplotlib
scipy
h5py
celerite
corner

=== debian/changelog ===
emcee (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2

 -- Ole Streicher <olebole@debian.org>  Thu, 12 May 2022 13:58:57 +0200

## emcee 3.1.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

default: dirhtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(TUTORIALS)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/emcee.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/emcee.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/emcee"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/emcee"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 h5py
 celerite
 corner
+ipython

=== debian/changelog ===
emcee (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4
  * Drop Handling-updated-kstest-interface-in-scipy-1.10.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Tue, 31 Jan 2023 17:33:00 +0100

emcee (3.1.3-2) unstable; urgency=medium

  * Handling updated kstest interface in scipy 1.10 (Closes: #1029688)
  * Push Standards-Version to 4.6.2, no changes

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Jan 2023 08:02:14 +0100

emcee (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Sep 2022 14:41:54 +0200

=== debian/control ===
Source: emcee
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-h5py,
               python3-numpy,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-wheel
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/emcee
Vcs-Git: https://salsa.debian.org/debian-astro-team/emcee.git
Homepage: https://emcee.readthedocs.io
Rules-Requires-Root: no

Package: python3-emcee
Architecture: all
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends}
Description: Affine-invariant ensemble MCMC sampling for Python 3
 emcee is an extensible, pure-Python implementation of Goodman &
 Weare's Affine Invariant Markov chain Monte Carlo (MCMC) Ensemble
 sampler. It's designed for Bayesian parameter estimation.

## emcee 3.1.6

=== debian/changelog ===
emcee (3.1.6-1) unstable; urgency=medium

  * New upstream version 3.1.6
  * Set numpy minversion to 1.25

 -- Ole Streicher <olebole@debian.org>  Fri, 19 Apr 2024 20:30:18 +0200

emcee (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Apr 2024 19:57:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                python3-h5py,
-               python3-numpy,
+               python3-numpy (>= 1:1.25),
                python3-pytest,
                python3-scipy,
                python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=emcee
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs emcee
Depends: python3-emcee, python3-h5py, python3-pytest, python3-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/emcee/emcee-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
